#include "opendylan/run-time.h"

void _Init_dfmc_llvm_back_end_ () __attribute__((constructor));
void _Init_dfmc_llvm_back_end_ () {
  extern void _Init_Run_Time();
  extern void _Init_llvm_();
  extern void _Init_dfmc_typist_();
  extern void _Init_dfmc_back_end_();
  extern void _Init_dfmc_conversion_();
  extern void _Init_dfmc_core_();
  extern void _Init_big_integers_();
  extern void _Init_generic_arithmetic_();
  extern void _Init_common_dylan_();
  extern void _Init_dfmc_llvm_back_end__X_llvm_back_end_library_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_back_end_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_targets_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_sections_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_back_end_types_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_ops_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_varargs_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_basic_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_alloc_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_lambda_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_nlx_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_machine_word_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_symbol_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_float_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_debug_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_ffi_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_thread_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_os_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_value_cell_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_entry_points_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_mv_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_object_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_code_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_debug_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_type_check_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_computation_for_system();
  extern void _Init_dfmc_llvm_back_end__X_llvm_back_end_library_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_back_end_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_targets_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_sections_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_back_end_types_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_ops_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_varargs_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_basic_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_alloc_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_lambda_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_nlx_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_machine_word_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_symbol_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_float_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_debug_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_ffi_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_thread_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_os_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_primitives_value_cell_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_entry_points_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_mv_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_object_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_code_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_debug_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_type_check_for_user();
  extern void _Init_dfmc_llvm_back_end__X_llvm_emit_computation_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_llvm_();
    _Init_dfmc_typist_();
    _Init_dfmc_back_end_();
    _Init_dfmc_conversion_();
    _Init_dfmc_core_();
    _Init_big_integers_();
    _Init_generic_arithmetic_();
    _Init_common_dylan_();
    _Init_dfmc_llvm_back_end__X_llvm_back_end_library_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_back_end_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_targets_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_sections_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_back_end_types_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_ops_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_varargs_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_basic_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_alloc_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_lambda_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_nlx_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_machine_word_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_symbol_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_float_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_debug_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_ffi_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_thread_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_os_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_value_cell_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_entry_points_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_mv_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_emit_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_emit_object_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_emit_code_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_emit_debug_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_emit_type_check_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_emit_computation_for_system();
    _Init_dfmc_llvm_back_end__X_llvm_back_end_library_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_back_end_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_targets_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_sections_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_back_end_types_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_ops_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_varargs_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_basic_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_alloc_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_lambda_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_nlx_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_machine_word_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_symbol_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_float_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_debug_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_ffi_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_thread_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_os_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_primitives_value_cell_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_entry_points_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_mv_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_emit_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_emit_object_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_emit_code_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_emit_debug_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_emit_type_check_for_user();
    _Init_dfmc_llvm_back_end__X_llvm_emit_computation_for_user();
  }
}
